Bug 443415 - /usr/share/zoneinfo/America/New_York is not a timezone file
/usr/share/zoneinfo/America/New_York is not a timezone file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 09:52 EDT by Thomas J. Baker
Modified: 2008-04-23 12:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 12:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2008-04-21 09:52:16 EDT
gnome-applets-2.22.1-1.fc9.x86_64

With the clock applet, if I add a location of Portsmouth, NH, Pease Airport, and
then try to set the timezone using the 'set' button that appears on hover, I get
a popup saying "Failed to set the system timezone
/usr/share/zoneinfo/America/New_York is not a timezone file". I have selinux in
permissive mode. Apparently without this set so that a home icon appears, I
don't get weather on the panel.
Comment 1 Matthias Clasen 2008-04-21 10:40:02 EDT
Hmm, this works correctly here, with

gnome-panel-2.22.1.2-3.fc9
libgweather-2.22.1.1-2.fc9

Do you actually have a file /usr/share/zoneinfo/America/New_York ?
Comment 2 Thomas J. Baker 2008-04-21 10:50:05 EDT
Yup:

raptor> rpm -q gnome-panel libgweather
gnome-panel-2.22.1.2-3.fc9.x86_64
libgweather-2.22.1.1-2.fc9.x86_64
raptor> rpm -qf /usr/share/zoneinfo/America/New_York
tzdata-2008b-1.fc9.noarch
raptor> ls -l /usr/share/zoneinfo/America/New_York
-rw-r--r-- 3 root root 3519 2008-03-26 09:35 /usr/share/zoneinfo/America/New_York
raptor> file /usr/share/zoneinfo/America/New_York
/usr/share/zoneinfo/America/New_York: timezone data
raptor> 
Comment 3 Thomas J. Baker 2008-04-21 11:10:22 EDT
FWIW, I'm having the same issue on my x86_64 laptop. Both were clean installed
on Friday from the preview release.
Comment 4 Matthias Clasen 2008-04-21 17:50:14 EDT
Moving to the right component.
Comment 5 Matthias Clasen 2008-04-22 13:09:59 EDT
Can you please try the build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=575185

and tell me if it fixes the problem ?
Comment 6 Thomas J. Baker 2008-04-22 13:57:55 EDT
I installed gnome-panel-libs-2.22.1.2-4.fc9.x86_64 and
gnome-panel-2.22.1.2-4.fc9.x86_64 from koji and got the same error dialog so no,
they do not appear to fix it for me.
Comment 7 Thomas J. Baker 2008-04-22 14:00:52 EDT
P.S. I even deleted the Portsmouth, NH location and re-added it and it still did
not work. Didn't work with Barre, VT, nor San Diego, CA either so it's not just
the America/New York timezone file.
Comment 8 Matthias Clasen 2008-04-22 20:43:49 EDT
Can you please try if these builds work better ?

http://koji.fedoraproject.org/koji/taskinfo?taskID=576817
Comment 9 Thomas J. Baker 2008-04-23 08:42:17 EDT
Yes, those last builds fix it for me.

Note You need to log in before you can comment on or make changes to this bug.